Oracle Solaris Third-Party Patch Update : gegl (multiple_integer_overflow_vulnerabilities_in)

This script is Copyright (C) 2015 Tenable Network Security, Inc.


Synopsis :

The remote Solaris system is missing a security patch for third-party
software.

Description :

The remote Solaris system is missing necessary patches to address
security updates :

- Multiple integer overflows in
operations/external/ppm-load.c in GEGL (Generic Graphics
Library) 0.2.0 allow remote attackers to cause a denial
of service (application crash) or possibly execute
arbitrary code via a large (1) width or (2) height value
in a Portable Pixel Map (ppm) image, which triggers a
heap-based buffer overflow. (CVE-2012-4433)

See also :

http://www.nessus.org/u?b5f8def1
http://www.nessus.org/u?ae1eada1

Solution :

Upgrade to Solaris 11.1.9.5.1.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Family: Solaris Local Security Checks

Nessus Plugin ID: 80617 ()

Bugtraq ID:

CVE ID: CVE-2012-4433

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now